{
  "main": {
    "id": "63c7a94c5413fbe9",
    "type": "split",
    "children": [
      {
        "id": "c7e2a979e98e91a5",
        "type": "tabs",
        "children": [
          {
            "id": "9e20e40848ead0dd",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "period/daily/250509.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "250509"
            }
          },
          {
            "id": "96952f7fa67ed71b",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "study/conf/EuroSys'26.md",
                "mode": "preview",
                "source": false
              },
              "icon": "lucide-file",
              "title": "EuroSys'26"
            }
          },
          {
            "id": "211edc9bbedb8e4a",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "study/conf/Untitled.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "Untitled"
            }
          }
        ],
        "currentTab": 2
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "dda3df687c3b1f7a",
    "type": "mobile-drawer",
    "children": [
      {
        "id": "2681dfdaed3d6e72",
        "type": "leaf",
        "state": {
          "type": "file-explorer",
          "state": {
            "sortOrder": "alphabetical",
            "autoReveal": false
          },
          "icon": "lucide-folder-closed",
          "title": "Files"
        }
      },
      {
        "id": "47d7b56b8956fba6",
        "type": "leaf",
        "state": {
          "type": "search",
          "state": {
            "query": "",
            "matchingCase": false,
            "explainSearch": false,
            "collapseAll": false,
            "extraContext": false,
            "sortOrder": "alphabetical"
          },
          "icon": "lucide-search",
          "title": "Search"
        }
      },
      {
        "id": "987074333a2814fc",
        "type": "leaf",
        "state": {
          "type": "tag",
          "state": {
            "sortOrder": "frequency",
            "useHierarchy": true,
            "showSearch": false,
            "searchQuery": ""
          },
          "icon": "lucide-tags",
          "title": "Tags"
        }
      },
      {
        "id": "90f659e436253420",
        "type": "leaf",
        "state": {
          "type": "bookmarks",
          "state": {},
          "icon": "lucide-bookmark",
          "title": "Bookmarks"
        }
      }
    ],
    "currentTab": 0
  },
  "right": {
    "id": "205878452f07eea8",
    "type": "mobile-drawer",
    "children": [
      {
        "id": "8b57cba29869dbde",
        "type": "leaf",
        "state": {
          "type": "backlink",
          "state": {
            "file": "study/conf/EuroSys'26.md",
            "collapseAll": true,
            "extraContext": false,
            "sortOrder": "alphabetical",
            "showSearch": false,
            "searchQuery": "",
            "backlinkCollapsed": false,
            "unlinkedCollapsed": true
          },
          "icon": "links-coming-in",
          "title": "Backlinks"
        }
      },
      {
        "id": "d5da11cc7f42c6e0",
        "type": "leaf",
        "state": {
          "type": "outgoing-link",
          "state": {
            "file": "phd/research/moe/Study.md",
            "linksCollapsed": false,
            "unlinkedCollapsed": true
          },
          "icon": "links-going-out",
          "title": "Outgoing links"
        }
      },
      {
        "id": "d597776f419bcca5",
        "type": "leaf",
        "state": {
          "type": "outline",
          "state": {
            "file": "phd/research/moe/Study.md",
            "followCursor": false,
            "showSearch": false,
            "searchQuery": ""
          },
          "icon": "lucide-list",
          "title": "Outline"
        }
      }
    ],
    "currentTab": 0
  },
  "left-ribbon": {
    "hiddenItems": {
      "remotely-save:Remotely Save": false,
      "bases:Create new base": false,
      "obsidian-focus-mode:Toggle Focus Mode (Shift + Click to show active pane only)": false,
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false,
      "periodic-notes:Open today": false
    }
  },
  "active": "211edc9bbedb8e4a",
  "lastOpenFiles": [
    "study/conf/Untitled.md",
    "study/conf/EuroSys'26.md",
    "projects/agentic-kvcache/ongoing.md",
    "dev-env-setup.md",
    "Scrolling.md",
    "projects/heterogenous-parallelism/sync2.md",
    "z/courses/中马.md",
    "z/courses/pm/report.figs/struct.drawio",
    "phd/weekly-report/251214.md",
    "z/courses/自然辩证法复习资料.md",
    "phd/weekly-report/251109.md",
    "phd/weekly-report/251102.md",
    "phd/weekly-report/251026.md",
    "Config for Ali.md",
    "projects/heterogenous-parallelism/Sync.md",
    "article/Thinking.md",
    "ongoing/Agentic AI Infra.md",
    "projects/moe-autoscaling/Bailian Arch.md",
    "projects/moe-autoscaling/Survey.md",
    "projects/moe-autoscaling/Survey.figs",
    "projects/moe-autoscaling/Survey.figs/250611-091821.jpeg",
    "phd/paper-sharing/IMPRESS.md",
    "conf/ChinaSys25-Spr.md",
    "conf/ChinaSys25-Spr.figs/250525-101629.jpeg",
    "conf/ChinaSys25-Spr.figs/250525-101147.jpeg",
    "conf/ChinaSys25-Spr.figs/250525-100839.jpeg",
    "conf/ChinaSys25-Spr.figs/250525-100200.jpeg",
    "conf/ChinaSys25-Spr.figs/250525-095739.jpeg",
    "ongoing/Hardware for Inference.md",
    "conf/ChinaSys25-Spr.figs",
    "conf/ChinaSys25-Spr.figs/250524-113000.jpeg",
    "period/daily/250509.md",
    "conf",
    "period/daily/250508.md",
    "project/serverless-kvcache/Dev.md",
    "period/weekly/25-08.md",
    "period/weekly/25-14.md"
  ]
}